#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    long long int br,xyz,tar=0,la=0,c,c1;
    cin>>br>>xyz;
    long long int  a[br];
    for (long long int i=0;i<br;i++)
    {
        cin>>a[i];
    }
    tar=a[0];
    la=a[0];
    for (long long int i=1;i<br;i++)
    {
        if (tar<a[i])
            tar=a[i];
        if (a[i]<la)
            la=a[i];
    }
    if ((la==xyz) || (tar==xyz))
    {
        cout<<tar-la;
    }
    if (xyz>tar)
    {
        cout<<xyz-la;
    }
    if (xyz<la)
    {
        cout<<(tar-xyz);
    }
    if ((xyz>la) && (xyz<tar))
    {
        c=min((tar-xyz),(xyz-la));
        c1=max((tar-xyz),(xyz-la));
        cout<<2*c+c1;
    }
    return 0;
}